=== modified file 'ensemble/tests/common.py'
--- ensemble/tests/common.py	2011-06-21 23:59:55 +0000
+++ ensemble/tests/common.py	2011-07-11 16:19:02 +0000
@@ -86,26 +86,23 @@
     def classpath(self):
         """Get the classpath necessary to run ZooKeeper."""
 
-        if self.install_path == 'system':
-            return subprocess.check_output(['sh','-c',
-                    '. /etc/zookeeper/conf/environment && echo $CLASSPATH']).strip()
+        if self.install_path == "system":
+            args = ["sh", "-c",
+                    ". /etc/zookeeper/conf/environment && echo $CLASSPATH"]
+            return subprocess.check_output(args).strip()
 
         # Two possibilities, as seen in zkEnv.sh:
         # Check for a release - top-level zookeeper-*.jar?
-        jars = glob((os.path.join(
-            self.install_path, 'zookeeper-*.jar')))
+        jars = glob(os.path.join(self.install_path, "zookeeper-*.jar"))
         if jars:
             # Relase build (`ant package`)
-            jars.extend(glob(os.path.join(
-                self.install_path,
-                "lib/*.jar")))
+            jars.extend(glob(os.path.join(self.install_path, "lib/*.jar")))
         else:
             # Development build (plain `ant`)
-            jars = glob((os.path.join(
-                self.install_path, 'build/zookeeper-*.jar')))
-            jars.extend(glob(os.path.join(
-                self.install_path,
-                "build/lib/*.jar")))
+            jars = glob(os.path.join(self.install_path,
+                                     "build/zookeeper-*.jar"))
+            jars.extend(glob(os.path.join(self.install_path,
+                                          "build/lib/*.jar")))
         return ":".join(jars)
 
     @property

=== modified file 'test'
--- test	2011-06-21 23:59:55 +0000
+++ test	2011-07-11 16:19:02 +0000
@@ -10,9 +10,10 @@
 def main(args):
     if not "ZOOKEEPER_PATH" in  os.environ:
         # Look for a system install of ZK
-        if os.path.exists('/etc/zookeeper/conf/environment'):
-            print "Using system zookeeper classpath from /etc/zookeeper/conf/environment"
-            os.environ["ZOOKEEPER_PATH"]="system"
+        env_path = "/etc/zookeeper/conf/environment"
+        if os.path.exists(env_path):
+            print "Using system zookeeper classpath from %s" % env_path
+            os.environ["ZOOKEEPER_PATH"] = "system"
         else:
             print ("Environment variable ZOOKEEPER_PATH must be defined "
                    "and should point to directory of Zookeeper installation")

